# coding: utf-8

"""
    VMware Aria Automation Assembler / Service Broker API

    A multi-cloud API for Cloud Automation Services  The APIs that list collections of resources also support OData like implementation. Below query params can be used across Assembler / Service Broker entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/catalog/api/items?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/catalog/api/items?$top=10&$skip=2```  3. `page` and `size` - page used in conjunction with `$size` helps in pagination of resources.      ```/catalog/api/items?page=0&size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /catalog/api/items?$filter=startswith(name, 'Act')     /catalog/api/items?$filter=toupper(name) eq 'ACTIVATE'     /catalog/api/items?$filter=substringof('renameVM', name)     /catalog/api/items?$filter=name eq 'ABCD'  # noqa: E501

    OpenAPI spec version: 2020-08-25
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class EventLog(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'id': 'str',
        'message': 'str',
        'timestamp': 'datetime',
        'rownum': 'int',
        'eof': 'bool'
    }

    attribute_map = {
        'id': 'id',
        'message': 'message',
        'timestamp': 'timestamp',
        'rownum': 'rownum',
        'eof': 'eof'
    }

    def __init__(self, id=None, message=None, timestamp=None, rownum=None, eof=None):  # noqa: E501
        """EventLog - a model defined in Swagger"""  # noqa: E501
        self._id = None
        self._message = None
        self._timestamp = None
        self._rownum = None
        self._eof = None
        self.discriminator = None
        if id is not None:
            self.id = id
        self.message = message
        self.timestamp = timestamp
        if rownum is not None:
            self.rownum = rownum
        if eof is not None:
            self.eof = eof

    @property
    def id(self):
        """Gets the id of this EventLog.  # noqa: E501

        Event Log identifier  # noqa: E501

        :return: The id of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this EventLog.

        Event Log identifier  # noqa: E501

        :param id: The id of this EventLog.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def message(self):
        """Gets the message of this EventLog.  # noqa: E501

        Message of the event log  # noqa: E501

        :return: The message of this EventLog.  # noqa: E501
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message):
        """Sets the message of this EventLog.

        Message of the event log  # noqa: E501

        :param message: The message of this EventLog.  # noqa: E501
        :type: str
        """
        if message is None:
            raise ValueError("Invalid value for `message`, must not be `None`")  # noqa: E501

        self._message = message

    @property
    def timestamp(self):
        """Gets the timestamp of this EventLog.  # noqa: E501

        Timestamp of the Event log (e.g. date format '2019-07-13T23:16:49.310Z').  # noqa: E501

        :return: The timestamp of this EventLog.  # noqa: E501
        :rtype: datetime
        """
        return self._timestamp

    @timestamp.setter
    def timestamp(self, timestamp):
        """Sets the timestamp of this EventLog.

        Timestamp of the Event log (e.g. date format '2019-07-13T23:16:49.310Z').  # noqa: E501

        :param timestamp: The timestamp of this EventLog.  # noqa: E501
        :type: datetime
        """
        if timestamp is None:
            raise ValueError("Invalid value for `timestamp`, must not be `None`")  # noqa: E501

        self._timestamp = timestamp

    @property
    def rownum(self):
        """Gets the rownum of this EventLog.  # noqa: E501

        Row number of the Event Log.  # noqa: E501

        :return: The rownum of this EventLog.  # noqa: E501
        :rtype: int
        """
        return self._rownum

    @rownum.setter
    def rownum(self, rownum):
        """Sets the rownum of this EventLog.

        Row number of the Event Log.  # noqa: E501

        :param rownum: The rownum of this EventLog.  # noqa: E501
        :type: int
        """

        self._rownum = rownum

    @property
    def eof(self):
        """Gets the eof of this EventLog.  # noqa: E501

        Indicates whether this is the last log entry.  # noqa: E501

        :return: The eof of this EventLog.  # noqa: E501
        :rtype: bool
        """
        return self._eof

    @eof.setter
    def eof(self, eof):
        """Sets the eof of this EventLog.

        Indicates whether this is the last log entry.  # noqa: E501

        :param eof: The eof of this EventLog.  # noqa: E501
        :type: bool
        """

        self._eof = eof

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(EventLog, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, EventLog):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
